# BEGIN SourceDeps(oneline):
BuildRequires: perl(Module/Build/Tiny.pm) perl(Moose.pm) perl(Test/More.pm) perl(Web/Library.pm) perl(Web/Library/Provider.pm) perl(Web/Library/SimpleAssets.pm) perl(Web/Library/Test.pm) perl(Web/Library/UnderscoreJS.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Web-Library-BackboneJS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Distribution wrapper around Backbone.js
Group: Development/Perl
License: perl
URL: https://github.com/marcelgruenauer/Web-Library-BackboneJS

Source0: http://cpan.org.ua/authors/id/M/MA/MARCEL/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This is a distribution wrapper around Backbone.js. It enables you to include
the client-side library in multiple Web application projects with very little
effort. See the Web::Library manpage for the general concept and how to use it with
the Catalyst manpage.

Backbone needs Underscore.js, so the Web::Library::UnderscoreJS manpage is listed as a
dependency.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/W*
%perl_vendor_privlib/auto/*
%changelog
* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

